#[derive(Debug, StructOpt)]
#[structopt(
name = "awatch",
about = "Here to help you with watching anime on your PC."
)]
pub struct Opt {
    #[structopt(subcommand)]
    pub mode: Option<RunMode>
}

#[derive(StructOpt, Debug)]
pub enum RunMode {
    #[structopt(name = "init", about = "Initialize config")]
    Init,
    #[structopt(name = "play", about = "Play next episode")]
    Play,
    #[structopt(name = "prev", about = "Decrease episode counter by one")]
    Prev,
    #[structopt(name = "next", about = "Increase episode counter by one")]
    Next,
    #[structopt(name = "update", about = "Update saved config")]
    Update(UpdateOptions),
}

#[derive(StructOpt, Debug)]
pub struct UpdateOptions {
    #[structopt(
    short,
    long,
    name = "episode",
    about = "Update saved last episode"
    )]
    pub last_episode: Option<usize>,
    #[structopt(
    short,
    long,
    name = "command",
    about = "Update saved command to show the next episode"
    )]
    pub command: Option<String>,
    #[structopt(
    short,
    long,
    name = "pattern",
    about = "Update pattern for filenames"
    )]
    pub pattern: Option<String>,
}